org.eclipse.rdf4j.http.protocol.transaction.operations

## Class SPARQLUpdateOperation

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.operations.SPARQLUpdateOperation

- All Implemented Interfaces:
    Serializable, TransactionOperation

      public class SPARQLUpdateOperation
      extends Object
      implements TransactionOperation, Serializable

  Encapsulation of a SPARQL 1.1 update operation executed as part of a transaction.
  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLUpdateOperation()`
    `SPARQLUpdateOperation(String updateString, String baseURI, boolean includeInferred, Dataset dataset, Binding... bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(RepositoryConnection con)` Executes this operation on the supplied connection.
    `String` | `getBaseURI()`
    `Binding[]` | `getBindings()`
    `Dataset` | `getDataset()`
    `String` | `getUpdateString()`
    `boolean` | `isIncludeInferred()`
    `void` | `setBaseURI(String baseURI)`
    `void` | `setBindings(Binding[] bindings)`
    `void` | `setDataset(Dataset dataset)`
    `void` | `setIncludeInferred(boolean includeInferred)`
    `void` | `setUpdateString(String updateString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQLUpdateOperation

          public SPARQLUpdateOperation()

    - #### SPARQLUpdateOperation

          public SPARQLUpdateOperation(String updateString,
                                       String baseURI,
                                       boolean includeInferred,
                                       Dataset dataset,
                                       Binding... bindings)

  - ### Method Detail

    - #### execute

          public void execute(RepositoryConnection con)
                       throws RepositoryException

      Description copied from interface: `TransactionOperation`
      Executes this operation on the supplied connection.
      Specified by:
        `execute` in interface `TransactionOperation`
      Parameters:
        `con` - The connection the operation should be performed on.
      Throws:
        `RepositoryException` - If such an exception is thrown by the connection while executing the operation.

    - #### getUpdateString

          public String getUpdateString()

      Returns:
        Returns the updateString.

    - #### setUpdateString

          public void setUpdateString(String updateString)

      Parameters:
        `updateString` - The updateString to set.

    - #### getBaseURI

          public String getBaseURI()

      Returns:
        Returns the baseURI.

    - #### setBaseURI

          public void setBaseURI(String baseURI)

      Parameters:
        `baseURI` - The baseURI to set.

    - #### isIncludeInferred

          public boolean isIncludeInferred()

      Returns:
        Returns the includeInferred.

    - #### setIncludeInferred

          public void setIncludeInferred(boolean includeInferred)

      Parameters:
        `includeInferred` - The includeInferred to set.

    - #### getDataset

          public Dataset getDataset()

      Returns:
        Returns the dataset.

    - #### setDataset

          public void setDataset(Dataset dataset)

      Parameters:
        `dataset` - The dataset to set.

    - #### getBindings

          public Binding[] getBindings()

      Returns:
        Returns the bindings.

    - #### setBindings

          public void setBindings(Binding[] bindings)

      Parameters:
        `bindings` - The bindings to set.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.